<?php

namespace App\Imports;

use App\Models\Dataset\DatasetTable34;
use Maatwebsite\Excel\Concerns\ToModel;
use Maatwebsite\Excel\Concerns\WithStartRow;

class DatasetTable34Import implements ToModel,WithStartRow
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    protected $datasetId;
protected $userId;

    public function __construct($datasetId,$userId)
    {
        $this->datasetId = $datasetId;
        $this->userId = $userId;
    }

public function startRow(): int
    {
        return 6;
    }

public function model(array $row)
    {

// cek kalau row kosong jangan insert
        if ($row[0] === null && $row[1] === null && $row[2] === null && $row[3] === null && $row[4] === null) {
            return null; // baris kosong dilewati
        }
        return new DatasetTable34([
            'dataset_id'                        => $this->datasetId,
            'created_by'                        => $this->userId,
            'kabupaten_kota'                    => $row[1],
            'jumlah_rumah_tangga'               => $row[2],
            'jumlah_rumah_tangga_miskin'        => $row[3],
            'persentase_rumah_tangga_miskin'    => $row[4],
        ]);
    }
}
